# NativeScript UI SideDrawer

- [Overview](#overview)
- [Installation](#installation)
- [Documentation](#documentation)
- [API Reference](#api-reference)
- [Sample Apps](#sample-apps)
- [Release Notes](#release-notes)
- [Get Help](#get-help)


## Overview

The **NativeScript UI SideDrawer** plugin allows you to have a hidden view that contains navigation UI or common settings. A popular application that uses the drawer UI is the Android Play Store app. The hidden view can be displayed with a flick gesture and can be shown from any of the four edges of the screen. The view is also displayed with a transition which can be chosen from a set of pre-defined transitions.

## Installation

In Command prompt / Terminal navigate to your application root folder and run:

```
tns plugin add nativescript-ui-sidedrawer
```


## Documentation

More information about the usage of the plugin available in the Guides for:
- [NativeScript Core](https://v7.docs.nativescript.org/ui/components/sidedrawer/overview)
- [NativeScript with Angular](https://v7.docs.nativescript.org/angular/ui/ng-components/ng-sidedrawer/overview)
- [NativeScript with Vue.js](https://v7.docs.nativescript.org/vuejs/ns-ui/sidedrawer/overview)

## API Reference

[Here](https://v7.docs.nativescript.org/ns-ui-api-reference/classes/radsidedrawer) is the API Reference section.

## Sample Apps

The features of the plugin are demonstrated in the Sample apps for:
- [NativeScript Core](https://github.com/NativeScript/nativescript-ui-samples)
- [NativeScript with Angular](https://github.com/NativeScript/nativescript-ui-samples-angular)
- [NativeScript with Vue.js](https://github.com/NativeScript/nativescript-ui-samples-vue)

## Release Notes

The release notes are available [here](https://github.com/NativeScript/nativescript-ui-feedback/blob/master/releases/sidedrawer.md).

## Get Help

Please, use [github issues](https://github.com/NativeScript/nativescript-ui-feedback/issues) strictly for reporting bugs or requesting features.