import { Property, View, ContainerView, Color, EventData } from '@nativescript/core';
export declare const FadeTransitionString: string;
export declare const PushTransitionString: string;
export declare const RevealTransitionString: string;
export declare const ReverseSlideOutTransitionString: string;
export declare const ScaleDownPusherTransitionString: string;
export declare const ScaleUpTransitionString: string;
export declare const SlideAlongTransitionString: string;
export declare const SlideInOnTopTransitionString: string;
export declare enum SideDrawerLocation {
    Left = "Left",
    Right = "Right",
    Top = "Top",
    Bottom = "Bottom"
}
export declare class DrawerTransitionBase {
    getNativeContent(): any;
}
export declare class DrawerStateChangingEventArgs implements EventData {
    /**
     *Returns the name of the event that has been fired.
     */
    eventName: string;
    /**
     * The object that fires the event.
     */
    object: any;
    /**
     * Indicates whether the event should be canceled if possible.
     */
    returnValue: boolean;
}
export declare class DrawerStateChangedEventArgs implements EventData {
    /**
     *Returns the name of the event that has been fired.
     */
    eventName: string;
    /**
     * The object that fires the event.
     */
    object: any;
}
export declare class RadSideDrawer extends ContainerView {
    static drawerOpeningEvent: string;
    static drawerOpenedEvent: string;
    static drawerClosingEvent: string;
    static drawerClosedEvent: string;
    static drawerPanEvent: string;
    drawerTransition: DrawerTransitionBase;
    drawerContentSize: number;
    drawerLocation: SideDrawerLocation;
    drawerContent: View;
    mainContent: View;
    gesturesEnabled: boolean;
    allowEdgeSwipe: boolean;
    shadowColor: Color;
    protected _isOpen: boolean;
    static gesturesEnabledProperty: Property<RadSideDrawer, boolean>;
    private onGesturesEnabledPropertyChanged;
    static allowEdgeSwipeProperty: Property<RadSideDrawer, boolean>;
    private onAllowEdgeSwipePropertyChanged;
    static drawerTransitionProperty: Property<RadSideDrawer, DrawerTransitionBase>;
    private onDrawerTransitionChanged;
    static drawerContentSizeProperty: Property<RadSideDrawer, number>;
    private onDrawerContentSizeChanged;
    static drawerLocationProperty: Property<RadSideDrawer, SideDrawerLocation>;
    private onDrawerLocationPropertyChanged;
    static shadowColorProperty: Property<RadSideDrawer, Color>;
    private onShadowColorPropertyChanged;
    static mainContentProperty: Property<RadSideDrawer, View>;
    private _onMainContentPropertyChanged;
    static drawerContentProperty: Property<RadSideDrawer, View>;
    private _onDrawerContentPropertyChanged;
    protected _onMainContentChanged(oldValue: View, newValue: View): void;
    protected _onDrawerContentChanged(oldValue: View, newValue: View): void;
    protected _onDrawerLocationChanged(oldValue: SideDrawerLocation, newValue: SideDrawerLocation): void;
    protected _onShadowColorChanged(oldValue: Color, newValue: Color): void;
    protected _onDrawerTransitionChanged(oldValue: DrawerTransitionBase, newValue: DrawerTransitionBase): void;
    protected _onDrawerContentSizeChanged(oldValue: number, newValue: number): void;
    protected _onGesturesEnabledChanged(oldValue: boolean, newValue: boolean): void;
    protected _onAllowEdgeSwipeChanged(oldValue: boolean, newValue: boolean): void;
    showDrawer(): void;
    closeDrawer(): void;
    getIsOpen(): boolean;
    get _isRootView(): boolean;
    toggleDrawerState(): void;
    get _childrenCount(): number;
    eachChildView(callback: (child: View) => boolean): void;
}
